classification
Title: Pdb commands allows to add commands to invalid breakpoint
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: andrei.avk, iritkatriel, lukasz.langa
Priority: normal Keywords: patch

Created on 2021-07-20 04:09 by andrei.avk, last changed 2021-07-28 16:56 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27252 merged andrei.avk, 2021-07-20 04:14
Messages (4)
msg397852 - (view) Author: Andrei Kulakov (andrei.avk) * (Python triager) Date: 2021-07-20 04:09
breakpoint 5 does not exist:

(Pdb) commands 5
(com) p x
(com)
(com) end
msg398230 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-07-26 14:52
Silently ignoring errors is not exactly a bug, and this change might break some scripts. So I think we should not backport it.
msg398231 - (view) Author: Andrei Kulakov (andrei.avk) * (Python triager) Date: 2021-07-26 14:58
I agree not backporting is most likely fine; just want to add that the issue here is that it allows you to enter command for an invalid breakpoint, creating a strong impression both that bpoint is valid and that command will be active.
msg398401 - (view) Author: Ɓukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-28 16:55
New changeset 53b9458f2e9314703a5406ca817d757f1509882a by andrei kulakov in branch 'main':
bpo-44682: Handle invalid arg to pdb's "commands" directive (#27252)
https://github.com/python/cpython/commit/53b9458f2e9314703a5406ca817d757f1509882a
History
Date User Action Args
2021-07-28 16:56:30lukasz.langasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-07-28 16:55:23lukasz.langasetnosy: + lukasz.langa
messages: + msg398401
2021-07-26 14:58:05andrei.avksetmessages: + msg398231
2021-07-26 14:52:16iritkatrielsetnosy: + iritkatriel

messages: + msg398230
versions: - Python 3.9, Python 3.10
2021-07-20 04:14:03andrei.avksetkeywords: + patch
stage: patch review
pull_requests: + pull_request25799
2021-07-20 04:09:05andrei.avkcreate